000024038 - Error: 'Failed to connect to the AceServer'

Document created by RSA Customer Support Employee on Jun 16, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000024038
Applies ToRSA Authentication Manager 6.1 Administration API
IssueError: "Failed to connect to the AceServer"
Custom application works on RSA Authentication Manager 6.0, but fails on RSA Authentication Manager 6.1
CauseAlthough a rebuild of the custom code was performed and the application can contact and load the apidemon.exe now residing in the .\prog directory the application has actually been linked against a 6.0 version of the RSA Authentication Manager Administration API library file (either ace_api.lib or ace_apits.lib).

NOTE: RSA ACE/Server is the earlier name for Authentication Manager; however, some messages such as this still refer back to an earlier name but the names are synonymous.
ResolutionTo correct this issue, ensure that the correct ace_api.lib and apiuser.h files are used for compiling and linking with the updated system (or the equivalent ace_apits.lib and apiuserts.h multi-threading equivalents available in version 6.1).
WorkaroundUpgraded RSA Authentication Manager from version 6.0 to version 6.1
Custom application was recompiled since upgrade to RSA Authentication Manager 6.1
Legacy Article IDa31200

Attachments

    Outcomes